using BeWo.Report;
using BeWo.Report.ReportObjects;

using DevExpress.XtraReports.UI;
using BS.Shared.Core;

namespace BeWo.CaritasFrankfurt2Reports
{
    [IDSpecificClass(Identifier = "Sammelrechnung")]
    public partial class Sammelrechnung : XtraReport, IBeWoReport<ServiceInvoiceRO>
    {
        public Sammelrechnung()
        {
            this.InitializeComponent();
        }

        public void SetReportDataSource(ServiceInvoiceRO pRO)
        {
			pRO.ServiceInvoicePeriods.Sort((a, b) => a.Customer.LastNameFirstName.CompareTo(b.Customer.LastNameFirstName));
            this.bindingSource1.DataSource = pRO;
        }
    }
}